Retrieves all the job approvals
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| user_id |
Foreign key, user that makes the approval |
globally unique identifier |
Required |
| ready_for_multi_approval |
Inform if this is a temp approval prepared for a future approval with the customer (multi approval) |
boolean | |
| is_daily_approval |
Intermediate approval of full approval |
boolean | |
| contact_id |
Foreign key of contact, that signed the approval |
globally unique identifier | |
| contact_name |
Contact fullname that sign the approval if not already exists |
string |
Max length: 255 |
| customer_remarks |
Remarks of the customer during the approval |
string |
Max length: 4000 |
| date_generated |
Local Date+Time of the approval generation |
date | |
| additional_email |
Additional emails that should receive the approval pdf |
string |
Max length: 4000 |
| is_signed |
Inform if a signature is available (cf db_signature) |
boolean | |
| job_status_id |
Job Status that will be used to alter the jobs (WaitingFurtherAction,Completed) |
globally unique identifier | |
| rating |
Rating (0,5) the quality of the jobs |
integer | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "5aa4f131-06b3-418c-8c2c-98f8f8eaf372",
"jobs_id": "382cbf39-3a24-470e-9520-47ab5951913c",
"user_id": "80ca95f8-d680-413f-8fb8-11b7e9e1e36a",
"ready_for_multi_approval": true,
"is_daily_approval": true,
"contact_id": "c06b3a85-b2b9-46ae-a5da-ab760c58b059",
"contact_name": "sample string 7",
"customer_remarks": "sample string 8",
"date_generated": "2026-10-10T06:59:28.576574+00:00",
"additional_email": "sample string 10",
"is_signed": true,
"job_status_id": "cf4bd363-d5d4-413d-baf8-a41a2d9b2ad1",
"rating": 13,
"modified_dateutc": "2026-10-10T06:59:28.5910878+00:00"
}